<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Interface hk.quantr.mxgraph.shape.mxIShape (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface hk.quantr.mxgraph.shape.mxIShape (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Interface hk.quantr.mxgraph.shape.mxIShape" class="title">Uses of Interface<br>hk.quantr.mxgraph.shape.mxIShape</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.canvas">hk.quantr.mxgraph.canvas</a></th>
<td class="colLast">
<div class="block">This package contains various implementations for painting a graph using
  different technologies, such as Graphics2D, HTML, SVG or VML.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.shape">hk.quantr.mxgraph.shape</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.canvas">
<!--   -->
</a>
<h3>Uses of <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a> in <a href="../../canvas/package-summary.html">hk.quantr.mxgraph.canvas</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../../canvas/package-summary.html">hk.quantr.mxgraph.canvas</a> with type parameters of type <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected static java.util.Map&lt;java.lang.String,&#8203;<a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphics2DCanvas.</span><code><span class="memberNameLink"><a href="../../canvas/mxGraphics2DCanvas.html#shapes">shapes</a></span></code></th>
<td class="colLast">
<div class="block">Maps from names to mxIVertexShape instances.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../canvas/package-summary.html">hk.quantr.mxgraph.canvas</a> that return <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphics2DCanvas.</span><code><span class="memberNameLink"><a href="../../canvas/mxGraphics2DCanvas.html#getShape(java.util.Map)">getShape</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../canvas/package-summary.html">hk.quantr.mxgraph.canvas</a> with parameters of type <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphics2DCanvas.</span><code><span class="memberNameLink"><a href="../../canvas/mxGraphics2DCanvas.html#putShape(java.lang.String,hk.quantr.mxgraph.shape.mxIShape)">putShape</a></span>&#8203;(java.lang.String&nbsp;name,
        <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a>&nbsp;shape)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.shape">
<!--   -->
</a>
<h3>Uses of <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a> in <a href="../package-summary.html">hk.quantr.mxgraph.shape</a></h3>
<table class="useSummary">
<caption><span>Classes in <a href="../package-summary.html">hk.quantr.mxgraph.shape</a> that implement <a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">mxIShape</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxActorShape.html" title="class in hk.quantr.mxgraph.shape">mxActorShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxArrowShape.html" title="class in hk.quantr.mxgraph.shape">mxArrowShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxBasicShape.html" title="class in hk.quantr.mxgraph.shape">mxBasicShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxCloudShape.html" title="class in hk.quantr.mxgraph.shape">mxCloudShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxConnectorShape.html" title="class in hk.quantr.mxgraph.shape">mxConnectorShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxCurveShape.html" title="class in hk.quantr.mxgraph.shape">mxCurveShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxCylinderShape.html" title="class in hk.quantr.mxgraph.shape">mxCylinderShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxDoubleEllipseShape.html" title="class in hk.quantr.mxgraph.shape">mxDoubleEllipseShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxDoubleRectangleShape.html" title="class in hk.quantr.mxgraph.shape">mxDoubleRectangleShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxEllipseShape.html" title="class in hk.quantr.mxgraph.shape">mxEllipseShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxHexagonShape.html" title="class in hk.quantr.mxgraph.shape">mxHexagonShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxImageShape.html" title="class in hk.quantr.mxgraph.shape">mxImageShape</a></span></code></th>
<td class="colLast">
<div class="block">A rectangular shape that contains a single image.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxLabelShape.html" title="class in hk.quantr.mxgraph.shape">mxLabelShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxLineShape.html" title="class in hk.quantr.mxgraph.shape">mxLineShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxRectangleShape.html" title="class in hk.quantr.mxgraph.shape">mxRectangleShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxRhombusShape.html" title="class in hk.quantr.mxgraph.shape">mxRhombusShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxStencil.html" title="class in hk.quantr.mxgraph.shape">mxStencil</a></span></code></th>
<td class="colLast">
<div class="block">Implements a stencil for the given XML definition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxStencilShape.html" title="class in hk.quantr.mxgraph.shape">mxStencilShape</a></span></code></th>
<td class="colLast">
<div class="block">Stencil shape drawing that takes an XML definition of the shape and renders
 it.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxSwimlaneShape.html" title="class in hk.quantr.mxgraph.shape">mxSwimlaneShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxTriangleShape.html" title="class in hk.quantr.mxgraph.shape">mxTriangleShape</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxIShape.html" title="interface in hk.quantr.mxgraph.shape">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
